PUT
/v1/listings/rules/{id}PUT /v1/listings/rules/{id}
Scopes: listings:listing_rules:write
Requires scope: listings:listing_rules:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | integer<int32> | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | |
relistSunday | boolean | no | |
relistMonday | boolean | no | |
relistTuesday | boolean | no | |
relistWednesday | boolean | no | |
relistThursday | boolean | no | |
relistFriday | boolean | no | |
relistSaturday | boolean | no | |
relistWeekdaysEveryWeeks | integer<int32> | no | |
relistWeekdaysTime | string | no | |
relistWeekdaysToTime | string | no | |
itemTimingType | integer<int32> | no | |
itemTimingValue | integer<int32> | no | |
relistOnSpecificDates | boolean | no | |
specificDateTimes | string[] | no | |
useListingScheduler | boolean | no | |
listingActivationDelayHours | integer<int32> | no | |
listingActivationDelayMinutes | integer<int32> | no | |
stopWhenInventoryBelow | boolean | no | |
stopWhenInventoryBelowQty | integer<int32> | no | |
relistOnBid | boolean | no | |
relistAboveReserve | boolean | no | |
relistWhenAuctionEnded | boolean | no | |
relistWithRelistOption | boolean | no | |
allowDuplicateLiid | boolean | no | |
stopIfNotSold | boolean | no | |
stopNotSoldCount | integer<int32> | no | |
stopNotSoldType | integer<int32> | no | |
pricingType | integer<int32> | no | |
autoStartQtyEnabled | boolean | no | |
relistWhenInventoryAbove | integer<int32> | no | |
qtyRepricerRules | QtyRepricerRuleModel[] | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.PUT('/v1/listings/rules/{id}', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);